drio
Technical OverviewAPI Reference

Drafts

Current mutable app draft state.

GET
/api/v2/apps/{app_id}/draft

Authorization

oauth openid, profile, email
AuthorizationBearer <token>

In: header

Scope: openid, profile, email

Path Parameters

app_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://mcp.getdrio.com/api/v2/apps/string/draft"
{
  "draft": {
    "id": "string",
    "source_release_id": "string",
    "has_changes": true,
    "created_at": "string",
    "updated_at": "string",
    "last_edited_at": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
GET
/api/v2/apps/{app_id}/draft/changes

Authorization

oauth openid, profile, email
AuthorizationBearer <token>

In: header

Scope: openid, profile, email

Path Parameters

app_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://mcp.getdrio.com/api/v2/apps/string/draft/changes"
{
  "draft": {
    "id": "string",
    "has_changes": true
  },
  "source_release_id": "string",
  "total_changes": 0,
  "change_groups": [
    {
      "key": "app",
      "label": "string",
      "count": 0
    }
  ]
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
  }
}